Subject: Ethnobotany.
From: [email-masked] (seth j colitz)
Date: 29 Apr 1994 21:22:13 GMT
Newsgroups: bionet.plants

Hi, I am a college undergraduate looking to get into the enthobotany
field.  I was wondering particularly what major someone would take to
help them out in this career.  I go to the University of Michigan and we have
a Cultural Botany major but it does not have as much anthropological aspects
as I expected.  Any help, ideas, or opportunities (for like a job this summer
=) ) appreciated.
 
Thank You,
Seth Colitz
email: [email-masked]
phone: (313)996-5962